# PROV_C_01 service-provisioning test

The _PROV_C_01_script.txt_ script should provision C-VLAN service, based on "Customer Bridge".

```console
$ python3 lncc.py "run_script PROV_C_01_script.txt"
```

Edit the mappings for each NE:
|   Parameter    | Example value |
|----------------|---------------|
| bridge_name    | Bridge-1      |
| component_name | Component-1   |
| vid            | 101           |
| vlan_name      | VLAN-101      |
| port1_portref  | 1             |
| port2_portref  | 3             |

Example: `{bridge_name: Bridge-1, component_name: Component-1, vid: 101, vlan_name: VLAN-101, port1_portref: 1, port2_portref: 3}`


## Untagged creation

The same apply for _PROV_C_01_untagged_script.txt_ 
```console
$ python3 lncc.py "run_script PROV_C_01_untagged_script.txt"
```

## Deletion

```console
$ python3 lncc.py "run_script PROV_C_01_deletion_script.txt"
```
